using System;

internal sealed class Delegate767 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate767 delegate767_1)
	{
		return delegate767_1(object_0);
	}

	public extern Delegate767(object object_0, IntPtr intptr_0);

	static Delegate767()
	{
		Class10.smethod_13(typeof(Delegate767).TypeHandle);
	}

	internal static Delegate767 delegate767_0;
}
